// Andrew Gooch and Greg Huber
// How Issue Positions Affect Candidate Performance
// July 2018

// This do file creates Table 2 of contribution records
// First we make column 1, which is every contribution record in our sampling frame
// Second we make column 2, which is the contribution records of our survey sample analyzed in this paper



//////////////////////////////////
///Part 1: Table 2, Column 1 ////
/////////////////////////////////
set more off
// All Contribution History: Table 2, Column 1
clear
use Data\contributor24000_for_analysis 

// rename and recode for display purposes
rename fec_ind_totalcontributions Total_Number
label var Total_Number "Total Number of Contribution in 2012 and 2014 combined"
 
rename fec_ind_totalcontributionamount Total_Contributions
label var Total_Contributions "Total Amount Contributed in 2012 and 2014 combined" 

rename fec_ind_contributioncategory_hou Total_House
label var Total_House "Total Amount Contributed to House Candidates"

rename fec_ind_contributioncategory_pre Total_President
label var Total_President "Total Amount Contributed to Presidential Candidates"

rename fec_ind_contributioncategory_dem Total_Democrats
label var Total_Democrats "Total Amount Contributed to Democratic Candidates"

rename fec_ind_contributioncategory_rep Total_Republicans
label var Total_Republicans "Total Amount Contributed to Republican Candidates"

rename fec_ind_totalcontributions_2012_ Total_2012
label var Total_2012 "Total Number of Contributions in 2012"

rename fec_ind_totalcontributions_2014_ Total_2014
label var Total_2014 "Total Number of Contributions in 2014"

rename TotalAmount_In_of_state Total_In_State
label var Total_In_State "Total Amount made to In-state Candidates"

rename TotalAmount_Out_of_state Total_Out_State
label var Total_Out_State "Total Amount made to Out-state Candidates"


outsum voterbase_age cauc male Total_Contributions Total_Number Total_House Total_President Total_Democrats ///
Total_Republicans Total_2012 Total_2014 Total_In_State Total_Out_State using "Table_2.out", replace ctitle ("Sampling Frame") bracket

//////////////////////////////////
///Part 2: Table 2, Column 2 ////
/////////////////////////////////

// Survey Sample Contribution History
clear
use Data\Donor_History_for_Respondents

// rename and recode for display purposes
rename fec_ind_totalcontributions Total_Number
label var Total_Number "Total Number of Contribution in 2012 and 2014 combined"
 
rename fec_ind_totalcontributionamount Total_Contributions
label var Total_Contributions "Total Amount Contributed in 2012 and 2014 combined" 

rename fec_ind_contributioncategory_hou Total_House
label var Total_House "Total Amount Contributed to House Candidates"

rename fec_ind_contributioncategory_pre Total_President
label var Total_President "Total Amount Contributed to Presidential Candidates"

rename fec_ind_contributioncategory_dem Total_Democrats
label var Total_Democrats "Total Amount Contributed to Democratic Candidates"

rename fec_ind_contributioncategory_rep Total_Republicans
label var Total_Republicans "Total Amount Contributed to Republican Candidates"

rename fec_ind_totalcontributions_2012_ Total_2012
label var Total_2012 "Total Number of Contributions in 2012"

rename fec_ind_totalcontributions_2014_ Total_2014
label var Total_2014 "Total Number of Contributions in 2014"

rename TotalAmount_In_of_state Total_In_State
label var Total_In_State "Total Amount made to In-state Candidates"

rename TotalAmount_Out_of_state Total_Out_State
label var Total_Out_State "Total Amount made to Out-state Candidates"

outsum voterbase_age cauc male Total_Contributions Total_Number Total_House Total_President Total_Democrats ///
Total_Republicans Total_2012 Total_2014 Total_In_State Total_Out_State using "Table_2.out", append ctitle ("Survey Sample") bracket


